WineHQ
Wine Forums

Board index » WineHQ » Wine Help » macOS




 Page 1 of 1 [ 10 posts ] 



 
Author Message
 Post Posted: Sun Mar 10, 2019 1:05 pm 
Offline
Level 1
Level 1

Joined: Thu Mar 07, 2019 1:22 am
Posts: 5
Hello everybody

First of all, sorry for my poor english, it's not my langage.

I need your help for installing two programs that i cannot install. i tried several times but nothing to do.
I have installed two other soft some days before, with no problem and they work well.

My set up:
MacBook Pro (Retina, 15-inch, Mid 2015) with macOS Mojave10.14.2
I have installed : Wine stable 4.0 (not for all user, just for me (administrator))

Some days before,i also installed wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7 (for all user) : but with this solution it was not really efficient and didn't work well : i am not very used with all these things :-(

It's why i install Wine stable 4.0.

Now, i cannot use this two software:
PIPP > https://sites.google.com/site/astropipp/
AviStack (64 bit) > http://www.avistack.de/download.html
I tried a several times but nothing is working.
it is the same problem for the two software. when i double click on the .exe file, it starts "wine stable », and after nothing happen, the software didn’t start.

I have checked (and corrected) that the .exe must open with "wine stable" and not with "wine" in the information box.

Do i have to uninstall wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7 ?
Just yet i use them for the soft PIPP.

Do you have any idea ?

thanks for your help.


Top 
 Post Posted: Mon Mar 11, 2019 1:50 pm 
Online
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 131
First let me say third-party front ends are not supported on Winehq.


For the first program it includes instructions on how to get it working via Winebottler even listing the require winetricks needed to get it working.

The second seems to have a Unix version already so I’m not sure why you want to use the windows version via Wine.

Wine should really be launcher via Terminal (launch the “Wine Stable” Application or check the macOS wiki section) then you will get information to figure out how to get your program working or st least give you a hint what it might be missing.


Winebottler bundles a super old version of wine.
Wineskin from doh123 will not function on Mojave without workarounds but even then it will still have tccd process over 100% CPU usage. (I know this as I run my own Wineskin fork that works on Mojave)


Top 
 Post Posted: Wed Mar 13, 2019 4:10 pm 
Offline
Level 1
Level 1

Joined: Thu Mar 07, 2019 1:22 am
Posts: 5
Hello.
Sorry but i don't understand all (a little bit newbee) or maybe i explained me wrong or not exactly.
I reply in red in your message.

Gcenx wrote:
First let me say third-party front ends are not supported on Winehq.
Do you speak from "wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7" ?


For the first program it includes instructions on how to get it working via Winebottler even listing the require winetricks needed to get it working.
I don't want to work it with winebottler, but with wine stable

The second seems to have a Unix version already so I’m not sure why you want to use the windows version via Wine.
Because the unix version is not a real unix version. I have to instal a VM with is a virtual machine. And it didn't work (maybe because Mojave). And the windows version is more complet with other fonction.


Wine should really be launcher via Terminal (launch the “Wine Stable” Application or check the macOS wiki section) then you will get information to figure out how to get your program working or st least give you a hint what it might be missing.
I didn't really launch "wine stable" but it launch automatically when i double clic on a .exe file. Is that wrong ?


Winebottler bundles a super old version of wine.
Wineskin from doh123 will not function on Mojave without workarounds but even then it will still have tccd process over 100% CPU usage. (I know this as I run my own Wineskin fork that works on Mojave)
I don't want to work with wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7, I want only work with "wine stable 4.0" that i download on wineHQ


Thank you for your help


Top 
 Post Posted: Thu Mar 14, 2019 8:24 am 
Online
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 131
mcegli wrote:
Hello.
Sorry but i don't understand all (a little bit newbee) or maybe i explained me wrong or not exactly.
I reply in red in your message.


mcegli wrote:
Do you speak from "wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7" ?
Yes those are third party applications and are not supppryed here, one of the first pinned threads here says that’s the case.

mcegli wrote:
I don't want to work it with winebottler, but with wine stable
Who said you need to use Winebottler, just see what’s winetricks are needed and install those into your wineprefix for the application.

mcegli wrote:
Because the unix version is not a real unix version. I have to instal a VM with is a virtual machine. And it didn't work (maybe because Mojave). And the windows version is more complet with other fonction.
Then make sure to run it via the Terminal window launches from “Wine Stable” then if it fails to work the Terminal output will give you some idea what may be missing.


mcegli wrote:
I didn't really launch "wine stable" but it launch automatically when i double clic on a .exe file. Is that wrong ?
Since you have Winebottler installed that could be the default program to open “.exe” files. Remove Winebottler and also Wineskin Winery-1.7. Instead you want to be launching wine directly via its application then you will get Terminal output that can help you figure out what needs to be installed to make your applications run.

mcegli wrote:
I don't want to work with wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7, I want only work with "wine stable 4.0" that i download on wineHQ
Then remove both from your system as currently Winebottler would be interfering with what your trying to do. Winery won’t interfere but that old version is useless anyway.


Top 
 Post Posted: Thu Mar 14, 2019 5:47 pm 
Offline
Level 1
Level 1

Joined: Thu Mar 07, 2019 1:22 am
Posts: 5
Hello.
OK so i have uninstall the 3 (wine(1.8.6)+wine bottler(1.8.6)+Wineskin-Winery-1.7) The pref are also uninstalled.
So no third party anymore
i have tried to run it via terminal, but i really dont'understand what i have to write. i have read the user guide, but i didn't understand more. May i ask you to help me more ?
If we want to install fist "PIPP":
I have seen on the web site, that it need Dotnet40 (MS .NET4.0). So i have downloaded this file. When i install it, he don't want, because he said me "Same or higher version of .NET Framework 4 has already been installed on this computer". (i don't know where i cannot found.
Now i have open a terminal window. What do i have to write ???
It's already written :
Last login: Thu Mar 14 22:45:33 on ttys001
mbp-de-cedric:~ Cedric$

The PIPP directory is so :
https://photos.google.com/photo/AF1QipNKU1wlbd_c0a5IovyvDJ72yrKmaOuxF3X-WL5t

Thank you very much for your help


Top 
 Post Posted: Tue Mar 19, 2019 11:39 am 
Online
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 131
First look over this section macOS section https://wiki.winehq.org/MacOS_FAQ#How_t ... ication.3F

After that install homebrew for macOS

Then;
brew install winetricks


After that your able to do the following
Winetricks -q dotnet40


Top 
 Post Posted: Wed Mar 20, 2019 3:31 pm 
Offline
Level 1
Level 1

Joined: Thu Mar 07, 2019 1:22 am
Posts: 5
Hello.
I have looked at the wiki but it is really difficult to understand something for me. I began to think that i am a real big newbie. It's a little bit difficult like to go to the moon with a push bike !!
But :
I have installed home-brew how you said me.
Then winetricks. (i think it's ok)

When you say :
Quote:
After that your able to do the following
Winetricks -q dotnet40

What do i have to do ?
Because i write :Winetricks -q dotnet40 in the terminal and i think it didn't work.

Here are the last line from the terminal:
mbp-de-cedric:~ Cedric$ brew install winetricks
Updating Homebrew...
==> Installing dependencies for winetricks: cabextract, p7zip and unrar
==> Installing winetricks dependency: cabextract
==> Downloading https://homebrew.bintray.com/bottles/ca ... jave.bottl
######################################################################## 100.0%
==> Pouring cabextract-1.9.mojave.bottle.tar.gz
/usr/local/Cellar/cabextract/1.9: 10 files, 145.6KB
==> Installing winetricks dependency: p7zip
==> Downloading https://homebrew.bintray.com/bottles/p7 ... ave.bottle
######################################################################## 100.0%
==> Pouring p7zip-16.02_1.mojave.bottle.tar.gz
/usr/local/Cellar/p7zip/16.02_1: 103 files, 4.7MB
==> Installing winetricks dependency: unrar
==> Downloading https://homebrew.bintray.com/bottles/un ... e.bottle.t
######################################################################## 100.0%
==> Pouring unrar-5.7.3.mojave.bottle.tar.gz
/usr/local/Cellar/unrar/5.7.3: 6 files, 520.4KB
==> Installing winetricks
==> Downloading https://github.com/Winetricks/winetrick ... 310.tar.gz
==> Downloading from https://codeload.github.com/Winetricks/ ... /tar.gz/20
######################################################################## 100.0%
==> Caveats
winetricks is a set of utilities for wine, which is installed separately:
brew install wine
==> Summary
/usr/local/Cellar/winetricks/20190310: 6 files, 801.4KB, built in 5 seconds
==> `brew cleanup` has not been run in 30 days, running now...
==> Caveats
==> winetricks
winetricks is a set of utilities for wine, which is installed separately:
brew install wine
mbp-de-cedric:~ Cedric$ Winetricks -q dotnet40
warning: taskset/cpuset not available on your platform!
------------------------------------------------------
wineserver not found!
------------------------------------------------------
mbp-de-cedric:~ Cedric$


So what is wrong ?
Again thank's for your help


Top 
 Post Posted: Wed Mar 20, 2019 5:38 pm 
Online
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 131
Seems you didn’t add wine to PATH, click the provided link I posted before where I outline how to add wine into your users PATH.

The freshly uncommented version is “Wine Stable” so make sure you have that version installed.


Also don’t install the homebrew version of wine as it’s missing too many features.


Top 
 Post Posted: Thu Mar 21, 2019 2:17 pm 
Offline
Level 1
Level 1

Joined: Thu Mar 07, 2019 1:22 am
Posts: 5
Right, I didn't add wine to PATH.
So now i clicked the link, pasted "nano .bash_profile" in the terminal, click enter, it open a window where i pasted
"#export PATH="/Applications/Wine Staging.app/Contents/Resources/wine/bin:$PATH"
#export PATH="/Applications/Wine Devel.app/Contents/Resources/wine/bin:$PATH"
export PATH="/Applications/Wine Stable.app/Contents/Resources/wine/bin:$PATH"
export FREETYPE_PROPERTIES="truetype:interpreter-version=35"
export DYLD_FALLBACK_LIBRARY_PATH="/opt/X11/lib:$DYLD_FALLBACK_LIBRARY_PATH"

Then i have directly typed "ctrl +X" and it ask me to save or not. I stopped here !


but i don't understand what i had to do before. it is written in the wiki :
Comment out Wine Stable uncomment out the one you want to be added for use within terminal

What is "comment" or uncomment" ???

And
Quote:
The freshly uncommented version is “Wine Stable” so make sure you have that version installed.


Also don’t install the homebrew version of wine as it’s missing too many features.

The version installed is Wine stable 4.0
and i install "homebrew for macOS" how you said me
Quote:
After that install homebrew for macOS


Top 
 Post Posted: Fri Mar 22, 2019 11:35 am 
Online
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 131
After you did the ctrl+x when it asks to save you press y to save, and accept the file name.

The contents should look like this
Code:
#export PATH="/Applications/Wine Staging.app/Contents/Resources/wine/bin:$PATH"
#export PATH="/Applications/Wine Devel.app/Contents/Resources/wine/bin:$PATH"
export PATH="/Applications/Wine Stable.app/Contents/Resources/wine/bin:$PATH"
export FREETYPE_PROPERTIES="truetype:interpreter-version=35"
export DYLD_FALLBACK_LIBRARY_PATH="/opt/X11/lib:$DYLD_FALLBACK_LIBRARY_PATH"


Commented means # is in front of the line that mean's it will be ignored.
The default in the example I setup would mean "Wine Stable" was the one added to Terminal but that can be changed as needed.


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 10 posts ] 




Board index » WineHQ » Wine Help » macOS


Who is online

Users browsing this forum: Gcenx and 3 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: